/******************************************************************************/
/*                                                                            */
/*                            Deklarationen zum Debuggen                      */
/*                                                                            */
/******************************************************************************/

#if !defined( __DEBUG__ )
#define __DEBUG__

#define DEBUG_SCREEN

#ifdef DEBUG_MODEM
  #define TRACEB(flag)    sprintf(tr_buffer,#flag "=%02x\n\r",flag);\
                          dpy=tr_buffer;while(*dpy)(Bconout(6,*dpy++));
  #define TRACEW(flag)    sprintf(tr_buffer,#flag "=%04x\n\r",flag);\
                          dpy=tr_buffer;while(*dpy)(Bconout(6,*dpy++));
  #define TRACEL(flag)    sprintf(tr_buffer,#flag "=%p\n\r",flag);\
                          dpy=tr_buffer;while(*dpy)(Bconout(6,*dpy++));
  #define TRACES(flag)    sprintf(tr_buffer,#flag "=%s\n\r",flag);\
                          dpy=tr_buffer;while(*dpy)(Bconout(6,*dpy++));
  #define TRACET(x)       dpy=x;while(*dpy)(Bconout(6,*dpy++));
#endif

#ifdef DEBUG_SCREEN
  #define TRACEB(flag)    printf(#flag "=%02x\n",flag);
  #define TRACEW(flag)    printf(#flag "=%04x\n",flag);
  #define TRACEL(flag)    printf(#flag "=%p\n",flag);
  #define TRACES(flag)    printf(#flag "=%s\n",flag);
  #define TRACET(flag)    printf(#flag "\n");
#endif

#endif
